diff --git a/doc/bash.ps b/doc/bash.ps
index fc4aa215..2c086e6e 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -1,6 +1,6 @@
 %!PS-Adobe-3.0
-%%Creator: groff version 1.19
-%%CreationDate: Tue Jun  1 12:27:23 2004
+%%Creator: groff version 1.18.1
+%%CreationDate: Tue Jun 29 10:37:28 2004
 %%DocumentNeededResources: font Times-Roman
 %%+ font Times-Bold
 %%+ font Times-Italic
@@ -9,17 +9,13 @@
 %%+ font Palatino-Roman
 %%+ font Palatino-Italic
 %%+ font Palatino-Bold
-%%DocumentSuppliedResources: procset grops 1.19 0
+%%DocumentSuppliedResources: procset grops 1.18 1
 %%Pages: 64
 %%PageOrder: Ascend
-%%DocumentMedia: Default 612 792 0 () ()
 %%Orientation: Portrait
 %%EndComments
-%%BeginDefaults
-%%PageMedia: Default
-%%EndDefaults
 %%BeginProlog
-%%BeginResource: procset grops 1.19 0
+%%BeginResource: procset grops 1.18 1
 /setpacking where{
 pop
 currentpacking
@@ -120,22 +116,16 @@ TM setmatrix
 /Fr{
 setrgbcolor fill
 }bind def
-/setcmykcolor where{
-pop
 /Fk{
 setcmykcolor fill
 }bind def
-}if
 /Fg{
 setgray fill
 }bind def
 /FL/fill load def
 /LW/setlinewidth load def
 /Cr/setrgbcolor load def
-/setcmykcolor where{
-pop
 /Ck/setcmykcolor load def
-}if
 /Cg/setgray load def
 /RE{
 findfont
@@ -178,7 +168,6 @@ newpath
 /CNT countdictstack def
 userdict begin
 /showpage{}def
-/setpagedevice{}def
 }bind def
 /PEND{
 clear
@@ -191,9 +180,6 @@ pop
 setpacking
 }if
 %%EndResource
-%%BeginFeature: *PageSize Default
-<< /PageSize [ 612 792 ] /ImagingBBox null >> setpagedevice
-%%EndFeature
 %%IncludeResource: font Times-Roman
 %%IncludeResource: font Times-Bold
 %%IncludeResource: font Times-Italic
@@ -203,11 +189,11 @@ setpacking
 %%IncludeResource: font Palatino-Italic
 %%IncludeResource: font Palatino-Bold
 grops begin/DEFS 1 dict def DEFS begin/u{.001 mul}bind def end/RES 72
-def/PL 792 def/LS false def/ENC0[/asciicircum/asciitilde/Scaron/Zcaron
-/scaron/zcaron/Ydieresis/trademark/quotesingle/Euro/.notdef/.notdef
+def/PL 841.89 def/LS false def/ENC0[/asciicircum/asciitilde/Scaron
+/Zcaron/scaron/zcaron/Ydieresis/trademark/quotesingle/Euro/.notdef
 /.notdef/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef
 /.notdef/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef
-/.notdef/.notdef/space/exclam/quotedbl/numbersign/dollar/percent
+/.notdef/.notdef/.notdef/space/exclam/quotedbl/numbersign/dollar/percent
 /ampersand/quoteright/parenleft/parenright/asterisk/plus/comma/hyphen
 /period/slash/zero/one/two/three/four/five/six/seven/eight/nine/colon
 /semicolon/less/equal/greater/question/at/A/B/C/D/E/F/G/H/I/J/K/L/M/N/O
@@ -335,7 +321,7 @@ E F2(po)2.5 E F0(\(portable object\) \214le format.)2.5 E F2
 144 686.4 Q .3 -.15(ve \()-.25 H(see).15 E F4(INV)2.5 E(OCA)-.405 E
 (TION)-.855 E F0(belo)2.25 E(w\).)-.25 E F2(\255\255login)108 703.2 Q F0
 (Equi)144 715.2 Q -.25(va)-.25 G(lent to).25 E F2<ad6c>2.5 E F0(.)A
-(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(1)202.335 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(1)202.335 E 0 Cg EP
 %%Page: 2 2
 %%BeginPageSetup
 BP
@@ -398,25 +384,24 @@ F4(INV)72 422.4 Q(OCA)-.493 E(TION)-1.04 E F0(A)108 434.4 Q F2(lo)2.5 E
 108 451.2 Q F2(inter)2.814 E(active)-.15 E F0 .314
 (shell is one started without non-option ar)2.814 F .315
 (guments and without the)-.18 F F1<ad63>2.815 E F0 .315
-(option whose standard)2.815 F 1.14
-(input and output are both connected to terminals \(as determined by)108
-463.2 R F2(isatty)3.639 E F0 1.139(\(3\)\), or one started with the).32
-F F1<ad69>3.639 E F0(option.)108 475.2 Q F3(PS1)5.289 E F0 .289
-(is set and)2.539 F F1<24ad>2.789 E F0(includes)2.789 E F1(i)2.789 E F0
-(if)2.789 E F1(bash)2.789 E F0 .289(is interacti)2.789 F -.15(ve)-.25 G
-2.789(,a).15 G(llo)-2.789 E .29
-(wing a shell script or a startup \214le to test this)-.25 F(state.)108
-487.2 Q .033(The follo)108 504 R .033(wing paragraphs describe ho)-.25 F
-(w)-.25 E F1(bash)2.532 E F0 -.15(exe)2.532 G .032
-(cutes its startup \214les.).15 F .032(If an)5.032 F 2.532(yo)-.15 G
-2.532(ft)-2.532 G .032(he \214les e)-2.532 F .032(xist b)-.15 F .032
-(ut cannot be)-.2 F(read,)108 516 Q F1(bash)3.085 E F0 .585
-(reports an error)3.085 F 5.585(.T)-.55 G .585(ildes are e)-5.935 F .586
-(xpanded in \214le names as described belo)-.15 F 3.086(wu)-.25 G(nder)
--3.086 E F1 -.18(Ti)3.086 G .586(lde Expansion).18 F F0(in the)108 528 Q
-F3(EXP)2.5 E(ANSION)-.666 E F0(section.)2.25 E(When)108 544.8 Q F1(bash)
-2.896 E F0 .396(is in)2.896 F -.2(vo)-.4 G -.1(ke).2 G 2.896(da).1 G
-2.896(sa)-2.896 G 2.896(ni)-2.896 G(nteracti)-2.896 E .696 -.15(ve l)
+(option whose standard)2.815 F 1.5
+(input and error are both connected to terminals \(as determined by)108
+463.2 R F2(isatty)4 E F0 1.5(\(3\)\), or one started with the).32 F F1
+<ad69>4 E F0(option.)108 475.2 Q F3(PS1)5.289 E F0 .289(is set and)2.539
+F F1<24ad>2.789 E F0(includes)2.789 E F1(i)2.789 E F0(if)2.789 E F1
+(bash)2.789 E F0 .289(is interacti)2.789 F -.15(ve)-.25 G 2.789(,a).15 G
+(llo)-2.789 E .29(wing a shell script or a startup \214le to test this)
+-.25 F(state.)108 487.2 Q .033(The follo)108 504 R .033
+(wing paragraphs describe ho)-.25 F(w)-.25 E F1(bash)2.532 E F0 -.15
+(exe)2.532 G .032(cutes its startup \214les.).15 F .032(If an)5.032 F
+2.532(yo)-.15 G 2.532(ft)-2.532 G .032(he \214les e)-2.532 F .032
+(xist b)-.15 F .032(ut cannot be)-.2 F(read,)108 516 Q F1(bash)3.085 E
+F0 .585(reports an error)3.085 F 5.585(.T)-.55 G .585(ildes are e)-5.935
+F .586(xpanded in \214le names as described belo)-.15 F 3.086(wu)-.25 G
+(nder)-3.086 E F1 -.18(Ti)3.086 G .586(lde Expansion).18 F F0(in the)108
+528 Q F3(EXP)2.5 E(ANSION)-.666 E F0(section.)2.25 E(When)108 544.8 Q F1
+(bash)2.896 E F0 .396(is in)2.896 F -.2(vo)-.4 G -.1(ke).2 G 2.896(da).1
+G 2.896(sa)-2.896 G 2.896(ni)-2.896 G(nteracti)-2.896 E .696 -.15(ve l)
 -.25 H .396(ogin shell, or as a non-interacti).15 F .695 -.15(ve s)-.25
 H .395(hell with the).15 F F1(\255\255login)2.895 E F0 .395(option, it)
 2.895 F 1.333(\214rst reads and e)108 556.8 R -.15(xe)-.15 G 1.333
@@ -458,7 +443,7 @@ F(ariable)-.25 E F3 -.27(BA)108 679.2 S(SH_ENV).27 E F0 1.01(in the en)
 108 727.2 S 2.5(tt).2 G(he v)-2.5 E(alue of the)-.25 E F3 -.666(PA)2.5 G
 (TH)-.189 E F0 -.25(va)2.25 G
 (riable is not used to search for the \214le name.).25 E(GNU Bash-3.0)72
-768 Q(2004 May 27)147.345 E(2)202.335 E 0 Cg EP
+768 Q(2004 June 26)147.345 E(2)202.335 E 0 Cg EP
 %%Page: 3 3
 %%BeginPageSetup
 BP
@@ -583,7 +568,7 @@ F1(Pipelines)87 679.2 Q F0(A)108 691.2 Q F2(pipeline)2.919 E F0 .419
 F F1(|)2.92 E F0 5.42(.T)C .42(he format for a pipeline)-5.42 F(is:)108
 703.2 Q([)144 720 Q F1(time)A F0([)2.5 E F1<ad70>A F0(]] [ ! ])A F2
 (command)2.5 E F0([)2.5 E F1(|)2.5 E F2(command2)2.5 E F0(... ])2.5 E
-(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(3)202.335 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(3)202.335 E 0 Cg EP
 %%Page: 4 4
 %%BeginPageSetup
 BP
@@ -703,8 +688,8 @@ A({)108 573.6 Q F1(list)2.5 E F0 2.5(;})C F1(list)3.89 E F0 .402
 F(SIONS)144 727.2 Q F5(.)A F0 -.8(Wo)5.633 G 1.133
 (rd splitting and pathname e).8 F 1.133
 (xpansion are not performed on the w)-.15 F 1.133(ords between the)-.1 F
-F3([[)3.632 E F0(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(4)202.335 E
-0 Cg EP
+F3([[)3.632 E F0(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(4)202.335
+E 0 Cg EP
 %%Page: 5 5
 %%BeginPageSetup
 BP
@@ -843,8 +828,8 @@ F F2(name)144 727.2 Q F0 .759(to be set to null.)3.439 F .759
 (The line read is sa)5.759 F -.15(ve)-.2 G 3.26(di).15 G 3.26(nt)-3.26 G
 .76(he v)-3.26 F(ariable)-.25 E F1(REPL)3.26 E(Y)-.92 E F0 5.76(.T)C(he)
 -5.76 E F2(list)3.35 E F0 .76(is e)3.94 F -.15(xe)-.15 G .76
-(cuted after).15 F(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(5)202.335
-E 0 Cg EP
+(cuted after).15 F(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(5)
+202.335 E 0 Cg EP
 %%Page: 6 6
 %%BeginPageSetup
 BP
@@ -979,7 +964,7 @@ E(xpansion.)-.15 E(There are three quoting mechanisms: the)108 708 Q F2
 G(he)-2.974 E F2 .474(escape c)2.974 F(har)-.15 E(acter)-.15 E F0 5.474
 (.I).73 G 2.974(tp)-5.474 G(reserv)-2.974 E .474(es the literal v)-.15 F
 .474(alue of the ne)-.25 F .474(xt character that)-.15 F(GNU Bash-3.0)72
-768 Q(2004 May 27)147.345 E(6)202.335 E 0 Cg EP
+768 Q(2004 June 26)147.345 E(6)202.335 E 0 Cg EP
 %%Page: 7 7
 %%BeginPageSetup
 BP
@@ -1096,7 +1081,7 @@ d by one or more digits, other than the single digit 0.)3.935 F(Posi-)
 5.706 E .445(tional parameters are assigned from the shell')108 729.6 R
 2.944(sa)-.55 G -.18(rg)-2.944 G .444(uments when it is in).18 F -.2(vo)
 -.4 G -.1(ke).2 G .444(d, and may be reassigned using).1 F(GNU Bash-3.0)
-72 768 Q(2004 May 27)147.345 E(7)202.335 E 0 Cg EP
+72 768 Q(2004 June 26)147.345 E(7)202.335 E 0 Cg EP
 %%Page: 8 8
 %%BeginPageSetup
 BP
@@ -1214,7 +1199,7 @@ F F1 -.3(BA)144 619.2 S(SH_ARGV).3 E F0(.)A F1 -.3(BA)108 631.2 S
 F F1(${FUNCN)144 727.2 Q(AME[)-.2 E F3 8.951($i + 1)B F1(]})A F0 -.1(wa)
 11.451 G 11.451(sc).1 G 11.451(alled. The)-11.451 F 8.951
 (corresponding source \214le name is)11.451 F(GNU Bash-3.0)72 768 Q
-(2004 May 27)147.345 E(8)202.335 E 0 Cg EP
+(2004 June 26)147.345 E(8)202.335 E 0 Cg EP
 %%Page: 9 9
 %%BeginPageSetup
 BP
@@ -1315,7 +1300,7 @@ F(ariable)-.25 E .351(will not change the current directory)144 711.6 R
 5.35(.I)-.65 G(f)-5.35 E F3(DIRST)2.85 E -.495(AC)-.81 G(K).495 E F0 .35
 (is unset, it loses its special properties, e)2.6 F -.15(ve)-.25 G 2.85
 (ni).15 G(f)-2.85 E(it is subsequently reset.)144 723.6 Q(GNU Bash-3.0)
-72 768 Q(2004 May 27)147.345 E(9)202.335 E 0 Cg EP
+72 768 Q(2004 June 26)147.345 E(9)202.335 E 0 Cg EP
 %%Page: 10 10
 %%BeginPageSetup
 BP
@@ -1404,7 +1389,7 @@ R .01(alue to)-.25 F F2(RANDOM)2.51 E/F4 9/Times-Roman@0 SF(.)A F0(If)
 4.51 E F2(RANDOM)2.51 E F0(is)2.26 E
 (unset, it loses its special properties, e)144 720 Q -.15(ve)-.25 G 2.5
 (ni).15 G 2.5(fi)-2.5 G 2.5(ti)-2.5 G 2.5(ss)-2.5 G(ubsequently reset.)
--2.5 E(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(10)197.335 E 0 Cg EP
+-2.5 E(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(10)197.335 E 0 Cg EP
 %%Page: 11 11
 %%BeginPageSetup
 BP
@@ -1513,7 +1498,7 @@ me e)-3.118 F(xpan-)-.15 E 3.131(sion. If)144 640.8 R 3.132<618c>3.131 G
 (all pre)144 724.8 R .698
 (vious lines matching the current line to be remo)-.25 F -.15(ve)-.15 G
 3.198(df).15 G .698(rom the history list before that line is)-3.198 F
-(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(11)197.335 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(11)197.335 E 0 Cg EP
 %%Page: 12 12
 %%BeginPageSetup
 BP
@@ -1626,7 +1611,7 @@ E F1(LANG)108 648 Q F0 1.24(Used to determine the locale cate)7.11 F
 (rrides the v).15 F .764(alue of)-.25 F F1(LANG)3.264 E F0 .764(and an)
 3.264 F 3.264(yo)-.15 G(ther)-3.264 E F1(LC_)3.264 E F0 -.25(va)3.264 G
 .764(riable specifying a locale cate-).25 F(gory)144 696 Q(.)-.65 E
-(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(12)197.335 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(12)197.335 E 0 Cg EP
 %%Page: 13 13
 %%BeginPageSetup
 BP
@@ -1730,7 +1715,7 @@ F0 1.225(displays during an e)3.725 F -.15(xe)-.15 G 1.225
 E F0 1.226(is replicated multiple)3.476 F(times, as necessary)144 696 Q
 2.5(,t)-.65 G 2.5(oi)-2.5 G(ndicate multiple le)-2.5 E -.15(ve)-.25 G
 (ls of indirection.).15 E(The def)5 E(ault is `)-.1 E(`)-.74 E F1(+)A F0
--.74('')2.5 G(.).74 E(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(13)
+-.74('')2.5 G(.).74 E(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(13)
 197.335 E 0 Cg EP
 %%Page: 14 14
 %%BeginPageSetup
@@ -1841,7 +1826,7 @@ char)144 658.8 R(-)-.2 E 1.293(acter of a w)144 670.8 R 1.293
 (skipped for the remaining w)144 682.8 R .38(ords on the line.)-.1 F
 .379(It does not necessarily cause the shell parser to treat)5.379 F
 (the rest of the line as a comment.)144 694.8 Q(GNU Bash-3.0)72 768 Q
-(2004 May 27)147.345 E(14)197.335 E 0 Cg EP
+(2004 June 26)147.345 E(14)197.335 E 0 Cg EP
 %%Page: 15 15
 %%BeginPageSetup
 BP
@@ -1993,7 +1978,7 @@ resulting string, e)108 660 R .658(xpanding left to)-.15 F(right.)108
 (xpression e)-.15 F .401(xpands to each number between)-.15 F F2(x)2.901
 E F0(and)2.902 E F2(y)2.902 E F0 2.902(,i)C(nclusi)-2.902 E -.15(ve)-.25
 G 5.402(.W).15 G .402(hen characters)-5.402 F(GNU Bash-3.0)72 768 Q
-(2004 May 27)147.345 E(15)197.335 E 0 Cg EP
+(2004 June 26)147.345 E(15)197.335 E 0 Cg EP
 %%Page: 16 16
 %%BeginPageSetup
 BP
@@ -2117,7 +2102,7 @@ F1(par)4.954 E(ameter)-.15 E F0 1.204(is a positional)4.434 F .264
 (ameter)-.15 E F0 .264(is follo)3.494 F .264
 (wed by a character which is not to)-.25 F
 (be interpreted as part of its name.)144 729.6 Q(GNU Bash-3.0)72 768 Q
-(2004 May 27)147.345 E(16)197.335 E 0 Cg EP
+(2004 June 26)147.345 E(16)197.335 E 0 Cg EP
 %%Page: 17 17
 %%BeginPageSetup
 BP
@@ -2245,7 +2230,7 @@ F .491(xpanded to produce a pattern just as in pathname e)-.15 F 2.99
 F1(par)145.25 724.8 Q(ameter)-.15 E F0 .607
 (with the shortest matching pattern \(the `)3.838 F(`)-.74 E F2(#)A F0
 2.087 -.74('' c)D .607(ase\) or the longest matching pattern \(the).74 F
-(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(17)197.335 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(17)197.335 E 0 Cg EP
 %%Page: 18 18
 %%BeginPageSetup
 BP
@@ -2361,8 +2346,8 @@ F2 -.2(ex)2.665 G(pr).2 E(ession)-.37 E F0 .165
 (go parameter e)-.18 F 1.074(xpansion, string e)-.15 F 1.074
 (xpansion, command)-.15 F(substitution, and quote remo)108 729.6 Q -.25
 (va)-.15 G 2.5(l. Arithmetic).25 F -.15(ex)2.5 G
-(pansions may be nested.).15 E(GNU Bash-3.0)72 768 Q(2004 May 27)147.345
-E(18)197.335 E 0 Cg EP
+(pansions may be nested.).15 E(GNU Bash-3.0)72 768 Q(2004 June 26)
+147.345 E(18)197.335 E 0 Cg EP
 %%Page: 19 19
 %%BeginPageSetup
 BP
@@ -2506,7 +2491,7 @@ so matches one of the patterns in)4.264 F F1(GLOBIGNORE)4.515 E F0(is)
 (escaping backslash is discarded when matching.)108 708 R .576
 (The special pattern characters must be quoted if the)5.576 F 3.076(ya)
 -.15 G(re)-3.076 E(to be matched literally)108 720 Q(.)-.65 E
-(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(19)197.335 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(19)197.335 E 0 Cg EP
 %%Page: 20 20
 %%BeginPageSetup
 BP
@@ -2594,12 +2579,12 @@ F2 -.37(re)3.045 G(dir).37 E(ected)-.37 E F0 .545
 (ywhere within a)-.15 F F2 .774(simple command)3.614 F F0(or)4.044 E
 (may follo)108 601.2 Q 2.5(wa)-.25 G F2(command)A F0 5(.R).77 G
 (edirections are processed in the order the)-5 E 2.5(ya)-.15 G(ppear)
--2.5 E 2.5(,f)-.4 G(rom left to right.)-2.5 E .283(In the follo)108 618
-R .284(wing descriptions, if the \214le descriptor number is omitted, a\
-nd the \214rst character of the redirect-)-.25 F .513(ion operator is)
-108 630 R F1(<)3.012 E F0 3.012(,t)C .512
+-2.5 E 2.5(,f)-.4 G(rom left to right.)-2.5 E .447(In the follo)108 618
+R .447(wing descriptions, if the \214le descriptor number is omitted, a\
+nd the \214rst character of the redirec-)-.25 F .366(tion operator is)
+108 630 R F1(<)2.866 E F0 2.866(,t)C .366
 (he redirection refers to the standard input \(\214le descriptor 0\).)
--3.012 F .512(If the \214rst character of the)5.512 F
+-2.866 F .365(If the \214rst character of the)5.366 F
 (redirection operator is)108 642 Q F1(>)2.5 E F0 2.5(,t)C
 (he redirection refers to the standard output \(\214le descriptor 1\).)
 -2.5 E .824(The w)108 658.8 R .824(ord follo)-.1 F .824
@@ -2614,7 +2599,7 @@ F .843(xpands to more than one w)-.15 F(ord,)-.1 E F1(bash)3.344 E F0
 (reports an error)108 694.8 Q(.)-.55 E
 (Note that the order of redirections is signi\214cant.)108 711.6 Q -.15
 (Fo)5 G 2.5(re).15 G(xample, the command)-2.65 E(ls)144 728.4 Q F1(>)2.5
-E F0(dirlist 2)2.5 E F1(>&)A F0(1)A(GNU Bash-3.0)72 768 Q(2004 May 27)
+E F0(dirlist 2)2.5 E F1(>&)A F0(1)A(GNU Bash-3.0)72 768 Q(2004 June 26)
 147.345 E(20)197.335 E 0 Cg EP
 %%Page: 21 21
 %%BeginPageSetup
@@ -2676,15 +2661,15 @@ F1(n)A F0(])A F2(>)A F1(wor)A(d)-.37 E F0 .154
 (If the redirection operator is)108 525.6 R F2(>)2.654 E F0 2.654(,a)C
 .154(nd the)-2.654 F F2(noclob)2.654 E(ber)-.1 E F0 .154(option to the)
 2.654 F F2(set)2.655 E F0 -.2(bu)2.655 G .155
-(iltin has been enabled, the redirection).2 F .658(will f)108 537.6 R
-.658(ail if the \214le whose name results from the e)-.1 F .658
-(xpansion of)-.15 F F1(wor)3.158 E(d)-.37 E F0 -.15(ex)3.158 G .657
-(ists and is a re).15 F .657(gular \214le.)-.15 F .657(If the redi-)
-5.657 F .408(rection operator is)108 549.6 R F2(>|)2.909 E F0 2.909(,o)C
-2.909(rt)-2.909 G .409(he redirection operator is)-2.909 F F2(>)2.909 E
-F0 .409(and the)2.909 F F2(noclob)2.909 E(ber)-.1 E F0 .409
-(option to the)2.909 F F2(set)2.909 E F0 -.2(bu)2.909 G .409
-(iltin command).2 F(is not enabled, the redirection is attempted e)108
+(iltin has been enabled, the redirection).2 F .077(will f)108 537.6 R
+.076(ail if the \214le whose name results from the e)-.1 F .076
+(xpansion of)-.15 F F1(wor)2.576 E(d)-.37 E F0 -.15(ex)2.576 G .076
+(ists and is a re).15 F .076(gular \214le.)-.15 F .076(If the redirec-)
+5.076 F .547(tion operator is)108 549.6 R F2(>|)3.047 E F0 3.047(,o)C
+3.047(rt)-3.047 G .547(he redirection operator is)-3.047 F F2(>)3.047 E
+F0 .547(and the)3.047 F F2(noclob)3.047 E(ber)-.1 E F0 .548
+(option to the)3.048 F F2(set)3.048 E F0 -.2(bu)3.048 G .548
+(iltin command is).2 F(not enabled, the redirection is attempted e)108
 561.6 Q -.15(ve)-.25 G 2.5(ni).15 G 2.5(ft)-2.5 G(he \214le named by)
 -2.5 E F1(wor)2.5 E(d)-.37 E F0 -.15(ex)2.5 G(ists.).15 E F2 -.25(Ap)87
 578.4 S(pending Redir).25 E(ected Output)-.18 E F0 .642
@@ -2705,7 +2690,7 @@ Q F0(allo)3.142 E .642(ws both the standard output \(\214le descriptor \
 (xpansion of)-.15 E F1(wor)2.84 E(d)-.37 E F0(with this construct.)3.27
 E(There are tw)108 710.4 Q 2.5(of)-.1 G
 (ormats for redirecting standard output and standard error:)-2.5 E F2
-(&>)144 727.2 Q F1(wor)A(d)-.37 E F0(GNU Bash-3.0)72 768 Q(2004 May 27)
+(&>)144 727.2 Q F1(wor)A(d)-.37 E F0(GNU Bash-3.0)72 768 Q(2004 June 26)
 147.345 E(21)197.335 E 0 Cg EP
 %%Page: 22 22
 %%BeginPageSetup
@@ -2793,7 +2778,7 @@ E F0(is closed after being duplicated to)2.5 E F2(n)2.5 E F0(.)A
 .24 G 2.785(rt)-2.785 G .286
 (he standard output \(\214le descriptor 1\) if)-2.785 F F2(n)2.786 E F0
 .286(is not speci-)2.786 F(\214ed.)108 717.6 Q(GNU Bash-3.0)72 768 Q
-(2004 May 27)147.345 E(22)197.335 E 0 Cg EP
+(2004 June 26)147.345 E(22)197.335 E 0 Cg EP
 %%Page: 23 23
 %%BeginPageSetup
 BP
@@ -2935,7 +2920,7 @@ F F1 .616(\255o functrace)3.116 F F0 .616
 (alues of the positional parameters and the spe-)-.25 F(cial parameter)
 108 724.8 Q F1(#)2.5 E F0(are restored to the v)2.5 E(alues the)-.25 E
 2.5(yh)-.15 G(ad prior to the function')-2.5 E 2.5(se)-.55 G -.15(xe)
--2.65 G(cution.).15 E(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(23)
+-2.65 G(cution.).15 E(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(23)
 197.335 E 0 Cg EP
 %%Page: 24 24
 %%BeginPageSetup
@@ -3038,7 +3023,7 @@ F0 .59(is a decimal number between 2 and 64 represent-)3.089 F .093
 (xpressions in parentheses are e)-.15 F -.25(va)-.25 G .235
 (luated \214rst and may).25 F -.15(ove)108 724.8 S
 (rride the precedence rules abo).15 E -.15(ve)-.15 G(.).15 E
-(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(24)197.335 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(24)197.335 E 0 Cg EP
 %%Page: 25 25
 %%BeginPageSetup
 BP
@@ -3138,7 +3123,7 @@ F0(sorts before)2.5 E F3(string2)2.5 E F0(le)2.5 E
 (>)2.5 E F3(string2)2.5 E F0 -.35(Tr)144 691.2 S(ue if).35 E F3(string1)
 2.5 E F0(sorts after)2.5 E F3(string2)2.5 E F0(le)2.5 E
 (xicographically in the current locale.)-.15 E(GNU Bash-3.0)72 768 Q
-(2004 May 27)147.345 E(25)197.335 E 0 Cg EP
+(2004 June 26)147.345 E(25)197.335 E 0 Cg EP
 %%Page: 26 26
 %%BeginPageSetup
 BP
@@ -3261,7 +3246,7 @@ e remainder of the \214rst line speci\214es an interpreter for the pro-)
 (gument follo)-.18 F 1.192(wing the)-.25 F 1.13
 (interpreter name on the \214rst line of the program, follo)108 727.2 R
 1.131(wed by the name of the program, follo)-.25 F 1.131(wed by the)-.25
-F(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(26)197.335 E 0 Cg EP
+F(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(26)197.335 E 0 Cg EP
 %%Page: 27 27
 %%BeginPageSetup
 BP
@@ -3364,7 +3349,7 @@ ment and creates a parameter for each name found, automatically marking\
 R 3.08(ye)-.15 G -.15(xe)-3.23 G .58
 (cuted command consists of the shell').15 F 3.08(si)-.55 G .58
 (nitial en)-3.08 F .58(vironment, whose v)-.4 F .58(alues may be)-.25 F
-(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(27)197.335 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(27)197.335 E 0 Cg EP
 %%Page: 28 28
 %%BeginPageSetup
 BP
@@ -3461,14 +3446,14 @@ G .93(rom the)-3.43 F 1.357(jobs table with the)108 508.8 R F1(diso)
 (shell option has been set with)2.666 F F1(shopt)2.666 E F0(,)A F1(bash)
 2.666 E F0 .166(sends a)2.666 F F3(SIGHUP)2.666 E F0 .166
 (to all jobs when an interacti)2.416 F -.15(ve)-.25 G(login shell e)108
-549.6 Q(xits.)-.15 E .41
-(If 0 for which a trap has been set, the trap will not be e)108 566.4 R
--.15(xe)-.15 G .41(cuted until the command completes.).15 F(When)5.41 E
-F1(bash)2.91 E F0 .3(is w)108 578.4 R .3
-(aiting for an asynchronous command via the)-.1 F F1(wait)2.8 E F0 -.2
-(bu)2.8 G .3(iltin, the reception of a signal for which a trap has).2 F
-.37(been set will cause the)108 590.4 R F1(wait)2.87 E F0 -.2(bu)2.87 G
-.369(iltin to return immediately with an e).2 F .369
+549.6 Q(xits.)-.15 E .077
+(If 0for which a trap has been set, the trap will not be e)108 566.4 R
+-.15(xe)-.15 G .076(cuted until the command completes.).15 F(When)5.076
+E F1(bash)2.576 E F0(is)2.576 E -.1(wa)108 578.4 S .826
+(iting for an asynchronous command via the).1 F F1(wait)3.326 E F0 -.2
+(bu)3.326 G .826(iltin, the reception of a signal for which a trap has)
+.2 F .37(been set will cause the)108 590.4 R F1(wait)2.87 E F0 -.2(bu)
+2.87 G .369(iltin to return immediately with an e).2 F .369
 (xit status greater than 128, immediately)-.15 F
 (after which the trap is e)108 602.4 Q -.15(xe)-.15 G(cuted.).15 E F5
 (JOB CONTR)72 619.2 Q(OL)-.329 E F2 -.25(Jo)108 631.2 S 4.567(bc).25 G
@@ -3491,7 +3476,7 @@ F0(.)A .784(The shell associates a)108 672 R F2(job)5.024 E F0 .784
 (ound)-.45 E F0 .34(\), it prints a line).77 F(that looks lik)108 696 Q
 (e:)-.1 E([1] 25647)144 712.8 Q .241(indicating that this job is job nu\
 mber 1 and that the process ID of the last process in the pipeline asso\
-ciated)108 729.6 R(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(28)
+ciated)108 729.6 R(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(28)
 197.335 E 0 Cg EP
 %%Page: 29 29
 %%BeginPageSetup
@@ -3622,7 +3607,7 @@ ized by inserting a number of backslash-escaped special characters that\
 (the hostname up to the \214rst `.)27.66 E(')-.7 E F1(\\H)144 705.6 Q F0
 (the hostname)25.44 E F1(\\j)144 717.6 Q F0
 (the number of jobs currently managed by the shell)29.89 E(GNU Bash-3.0)
-72 768 Q(2004 May 27)147.345 E(29)197.335 E 0 Cg EP
+72 768 Q(2004 June 26)147.345 E(29)197.335 E 0 Cg EP
 %%Page: 30 30
 %%BeginPageSetup
 BP
@@ -3741,7 +3726,7 @@ nd the k)108 700.8 R 1.335 -.15(ey b)-.1 H 1.035(indings and).15 F -.25
 (lines are ignored.)108 724.8 R .737(Lines be)5.737 F .737
 (ginning with a)-.15 F F1(#)3.237 E F0 .737(are comments.)3.237 F .737
 (Lines be)5.737 F .737(ginning with a)-.15 F F1($)3.237 E F0 .737
-(indicate conditional)3.237 F(GNU Bash-3.0)72 768 Q(2004 May 27)147.345
+(indicate conditional)3.237 F(GNU Bash-3.0)72 768 Q(2004 June 26)147.345
 E(30)197.335 E 0 Cg EP
 %%Page: 31 31
 %%BeginPageSetup
@@ -3828,7 +3813,7 @@ et of backslash escapes is a)108 657.6 Q -.25(va)-.2 G(ilable:).25 E F2
 (\\a)144 669.6 Q F0(alert \(bell\))28.22 E F2(\\b)144 681.6 Q F0
 (backspace)27.66 E F2(\\d)144 693.6 Q F0(delete)27.66 E F2(\\f)144 705.6
 Q F0(form feed)29.89 E F2(\\n)144 717.6 Q F0(ne)27.66 E(wline)-.25 E
-(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(31)197.335 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(31)197.335 E 0 Cg EP
 %%Page: 32 32
 %%BeginPageSetup
 BP
@@ -3924,7 +3909,7 @@ F0(.)A F1(enable\255k)108 616.8 Q(eypad \(Off\))-.1 E F0 .893
 y code attempts to place point at the same location on each history lin\
 e)-3.992 F(retri)144 700.8 Q -.15(ve)-.25 G 2.5(dw).15 G(ith)-2.5 E F1
 (pr)2.5 E -.15(ev)-.18 G(ious-history).15 E F0(or)2.5 E F1(next-history)
-2.5 E F0(.)A(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(32)197.335 E 0
+2.5 E F0(.)A(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(32)197.335 E 0
 Cg EP
 %%Page: 33 33
 %%BeginPageSetup
@@ -4023,7 +4008,7 @@ he conditional compilation features of the C preprocessor)-.1 F .097
 (indings and v).15 F .096
 (ariable settings to be performed as the result of tests.)-.25 F .096
 (There are four parser)5.096 F(directi)108 712.8 Q -.15(ve)-.25 G 2.5
-(su).15 G(sed.)-2.5 E(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(33)
+(su).15 G(sed.)-2.5 E(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(33)
 197.335 E 0 Cg EP
 %%Page: 34 34
 %%BeginPageSetup
@@ -4125,7 +4110,7 @@ Q .653(Readline remembers the last incremental search string.)108 660 R
 -2.5 E .567(Non-incremental searches read the entire search string befo\
 re starting to search for matching history lines.)108 688.8 R(The searc\
 h string may be typed by the user or be part of the contents of the cur\
-rent line.)108 700.8 Q(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(34)
+rent line.)108 700.8 Q(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(34)
 197.335 E 0 Cg EP
 %%Page: 35 35
 %%BeginPageSetup
@@ -4209,7 +4194,7 @@ a non-incremental search for a string supplied by the)-.1 F(user)144
 -.25 E F0 .248(Search forw)144 705.6 R .249(ard through the history for\
  the string of characters between the start of the current line)-.1 F
 (and the point.)144 717.6 Q(This is a non-incremental search.)5 E
-(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(35)197.335 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(35)197.335 E 0 Cg EP
 %%Page: 36 36
 %%BeginPageSetup
 BP
@@ -4310,7 +4295,7 @@ G .779(nsert characters lik)-3.279 F(e)-.1 E F1(C\255q)3.279 E F0 3.279
 (If point is at the end of the line, then this transposes the tw)144
 724.8 R 3.683(oc)-.1 G 1.183(haracters before point.)-3.683 F(Ne)6.183 E
 -.05(ga)-.15 G(ti).05 E -.15(ve)-.25 G(GNU Bash-3.0)72 768 Q
-(2004 May 27)147.345 E(36)197.335 E 0 Cg EP
+(2004 June 26)147.345 E(36)197.335 E 0 Cg EP
 %%Page: 37 37
 %%BeginPageSetup
 BP
@@ -4400,7 +4385,7 @@ F0(Cop)144 688.8 Q 4.507(yt)-.1 G 2.007(he w)-4.507 F 2.007(ord follo)
 -.1 F 2.007(wing point to the kill b)-.25 F(uf)-.2 E(fer)-.25 E 7.008
 (.T)-.55 G 2.008(he w)-7.008 F 2.008(ord boundaries are the same as)-.1
 F F1 -.25(fo)4.508 G -.37(r-).25 G(ward\255w)144 700.8 Q(ord)-.1 E F0(.)
-A(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(37)197.335 E 0 Cg EP
+A(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(37)197.335 E 0 Cg EP
 %%Page: 38 38
 %%BeginPageSetup
 BP
@@ -4497,7 +4482,7 @@ F0(List the possible completions of the te)144 681.6 Q
 (complete\255hostname \(M\255@\))108 693.6 Q F0
 (Attempt completion on the te)144 705.6 Q
 (xt before point, treating it as a hostname.)-.15 E(GNU Bash-3.0)72 768
-Q(2004 May 27)147.345 E(38)197.335 E 0 Cg EP
+Q(2004 June 26)147.345 E(38)197.335 E 0 Cg EP
 %%Page: 39 39
 %%BeginPageSetup
 BP
@@ -4585,7 +4570,7 @@ F0 1.095(command enough times to)3.595 F
 (vious occurrence of that character)-.25 F 6.044(.A)-.55 G(ne)-2.5 E
 -.05(ga)-.15 G(ti).05 E -.15(ve)-.25 G
 (count searches for subsequent occurrences.)144 705.6 Q(GNU Bash-3.0)72
-768 Q(2004 May 27)147.345 E(39)197.335 E 0 Cg EP
+768 Q(2004 June 26)147.345 E(39)197.335 E 0 Cg EP
 %%Page: 40 40
 %%BeginPageSetup
 BP
@@ -4700,7 +4685,7 @@ F1<ad57>2.821 E F0 .32(option is considered.)2.821 F .32
 1.344(xpansion, and pathname e)-.15 F 1.344(xpansion, as described abo)
 -.15 F 1.644 -.15(ve u)-.15 H(nder).15 E F3(EXP)3.844 E(ANSION)-.666 E
 /F4 9/Times-Roman@0 SF(.)A F0 1.345(The results are split)5.844 F
-(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(40)197.335 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(40)197.335 E 0 Cg EP
 %%Page: 41 41
 %%BeginPageSetup
 BP
@@ -4848,7 +4833,7 @@ E F4(~/.bash_history)2.582 E F0(\).)A .315(The \214le named by the v)108
 .572(wise the history \214le is o)108 724.8 R -.15(ve)-.15 G 3.073
 (rwritten. If).15 F F2(HISTFILE)3.073 E F0 .573
 (is unset, or if the history \214le is unwritable, the history is)2.823
-F(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(41)197.335 E 0 Cg EP
+F(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(41)197.335 E 0 Cg EP
 %%Page: 42 42
 %%BeginPageSetup
 BP
@@ -4980,7 +4965,7 @@ Q F2(histchars)2.5 E F0(abo)2.5 E .3 -.15(ve u)-.15 H(nder).15 E F2
 (Refer to the current command line minus)21.97 E F4(n)2.5 E F0(.).24 E
 F2(!!)108 708 Q F0(Refer to the pre)29.34 E(vious command.)-.25 E
 (This is a synon)5 E(ym for `!\2551'.)-.15 E(GNU Bash-3.0)72 768 Q
-(2004 May 27)147.345 E(42)197.335 E 0 Cg EP
+(2004 June 26)147.345 E(42)197.335 E 0 Cg EP
 %%Page: 43 43
 %%BeginPageSetup
 BP
@@ -5084,7 +5069,7 @@ F1(G)108 660 Q F0(Apply the follo)28.22 E(wing `)-.25 E F1(s)A F0 2.5
 R .062(uiltin command documented in this section as accepting options p\
 receded by)-.2 F F1<ad>108 700.8 Q F0(accepts)2.5 E F1<adad>2.5 E F0
 (to signify the end of the options.)2.5 E(GNU Bash-3.0)72 768 Q
-(2004 May 27)147.345 E(43)197.335 E 0 Cg EP
+(2004 June 26)147.345 E(43)197.335 E 0 Cg EP
 %%Page: 44 44
 %%BeginPageSetup
 BP
@@ -5207,7 +5192,7 @@ E(alues in such a w)-.25 E(ay that the)-.1 E 2.5(yc)-.15 G
 -.05 G(equences bound to macros and the strings the)-2.5 E 2.5(yo)-.15 G
 (utput.)-2.5 E F1<ad66>144 691.2 Q F2(\214lename)2.5 E F0(Read k)180
 703.2 Q .3 -.15(ey b)-.1 H(indings from).15 E F2(\214lename)2.5 E F0(.)A
-(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(44)197.335 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(44)197.335 E 0 Cg EP
 %%Page: 45 45
 %%BeginPageSetup
 BP
@@ -5340,7 +5325,7 @@ F1<ad46>3.915 E F0(or)3.915 E F1<ad43>3.915 E F0 1.415(options, the v)
 3.915 F 1.415(arious shell v)-.25 F 1.415(ariables set by the pro-)-.25
 F(grammable completion f)144 729.6 Q(acilities, while a)-.1 E -.25(va)
 -.2 G(ilable, will not ha).25 E .3 -.15(ve u)-.2 H(seful v).15 E(alues.)
--.25 E(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(45)197.335 E 0 Cg EP
+-.25 E(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(45)197.335 E 0 Cg EP
 %%Page: 46 46
 %%BeginPageSetup
 BP
@@ -5425,7 +5410,7 @@ G 2.5(yb)-.05 G(inding names.)-2.5 E F2 -.2(bu)184 592.8 S(iltin).2 E F0
 (xported shell v)-.15 E 2.5(ariables. May)-.25 F(also be speci\214ed as)
 2.5 E F2<ad65>2.5 E F0(.)A F2(\214le)184 700.8 Q F0(File names.)27.22 E
 (May also be speci\214ed as)5 E F2<ad66>2.5 E F0(.)A(GNU Bash-3.0)72 768
-Q(2004 May 27)147.345 E(46)197.335 E 0 Cg EP
+Q(2004 June 26)147.345 E(46)197.335 E 0 Cg EP
 %%Page: 47 47
 %%BeginPageSetup
 BP
@@ -5524,7 +5509,7 @@ S 3.326(riables. The).25 F F1<ad70>3.326 E F0 .826
 (option will display the attrib)3.326 F .826(utes and v)-.2 F .826
 (alues of each)-.25 F F3(name)3.326 E F0 5.827(.W).18 G(hen)-5.827 E F1
 <ad70>3.327 E F0 .827(is used,)3.327 F(GNU Bash-3.0)72 768 Q
-(2004 May 27)147.345 E(47)197.335 E 0 Cg EP
+(2004 June 26)147.345 E(47)197.335 E 0 Cg EP
 %%Page: 48 48
 %%BeginPageSetup
 BP
@@ -5652,7 +5637,7 @@ F 1.503(escape characters, e)144 708 R -.15(ve)-.25 G 4.003(no).15 G
 E F0(shell)4.002 E .009
 (option may be used to dynamically determine whether or not)144 720 R F1
 (echo)2.509 E F0 -.15(ex)2.51 G .01(pands these escape characters).15 F
-(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(48)197.335 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 June 26)147.345 E(48)197.335 E 0 Cg EP
 %%Page: 49 49
 %%BeginPageSetup
 BP
